List Subscriptions - Flex Documentation
List Subscriptions
cURL
curl --request GET \
--url https://api.withflex.com/v1/subscriptions \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.withflex.com/v1/subscriptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.withflex.com/v1/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.withflex.com/v1/subscriptions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.withflex.com/v1/subscriptions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Response Codes
200
401
403
404
409
422
429
Example Response
{
"subscriptions": [
{
"subscription_id": "fsub_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"created_at": "2026-06-15T14:30:00Z",
"items": [],
"status": "incomplete",
"cancel_at_period_end": false,
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"test_mode": false,
"cancel_at": "2026-06-15T14:30:00Z",
"canceled_at": "2026-06-15T14:30:00Z"
}
]
}
Error Response Structure
{
"code": "string",
"detail": "string"
}
Authorization
Authorization is required in the header as a Bearer token to access this API.
Query Parameters
- customer: Filter by customer ID (e.g.,
"fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA"). - expand_customer: If true, expands the customer object in the response (e.g.,
false). - starting_after: Cursor for pagination based on subscription ID.
- ending_before: Cursor for pagination based on subscription ID.
- status: Filter by subscription status (e.g.,
"incomplete"). - offset: Number of objects to skip (e.g.,
3). - limit: Number of objects to return (default is 10).
Response
200 - application/json
An envelope wrapping a list of subscription objects.